DROP DATABASE IF EXISTS minicms;

CREATE DATABASE minicms;

USE minicms;

DROP TABLE IF EXISTS authors;

CREATE TABLE authors (
  username    varchar(16) PRIMARY KEY,
  password    varchar(16) NOT NULL,
  full_name   text
);

DROP TABLE IF EXISTS stories;

CREATE TABLE stories (
  id          int PRIMARY KEY auto_increment,
  author      varchar(16) NOT NULL,            # FOREIGN KEY authors.username
  page        varchar(16) NOT NULL,            # FOREIGN KEY pages.code
  headline    text,
  story_text  text,
  picture     text,
  archive     text,
  archive_size int,
  created     int,
  modified    int,
  published   int
);

DROP TABLE IF EXISTS pages;

CREATE TABLE pages (
  code        varchar(16) PRIMARY KEY,
  title       varchar(100) NOT NULL,
  description text
);

DROP TABLE IF EXISTS authors_pm;

CREATE TABLE authors_pm (
  author      varchar(16) NOT NULL,            # FOREIGN KEY authors.username
  page        varchar(16) NOT NULL             # FOREIGN KEY pages.code
);

DROP TABLE IF EXISTS keywords;

CREATE TABLE keywords (
  story       int NOT NULL,                    # FOREIGN KEY stories.id
  keyword     varchar(32) NOT NULL,
  weight      int NOT NULL
);

DROP TABLE IF EXISTS gbook;
CREATE TABLE gbook (
  id      int PRIMARY KEY auto_increment,
  author  varchar(16) NOT NULL,
  url     varchar(60),
  message text,
  published   int,
  answer text
);

insert into authors (username, password, full_name)
             values ('Admin', '123', '  .  ,           config.php');
